package com.fr.plugin.form.widget.conf;

import com.fr.design.fun.impl.AbstractFormWidgetOptionProvider;
import com.fr.form.ui.Widget;
import com.fanruan.api.design.DesignKit;
import com.fr.plugin.form.widget.core.RHIframe;
import com.fr.plugin.form.widget.ui.XRHIframe;

/**
 * Created by richie on 15/12/2.
 */
public class RHIframeMarkInForm extends AbstractFormWidgetOptionProvider {
    @Override
    public int currentAPILevel() {
        return 1;
    }

    @Override
    public Class<? extends Widget> classForWidget() {
        return RHIframe.class;
    }

    @Override
    public Class<?> appearanceForWidget() {
        return XRHIframe.class;
    }

    @Override
    public String iconPathForWidget() {
        return "/com/fr/plugin/form/widget/images/rh_iframe.png";
    }

    @Override
    public String nameForWidget() {
        return DesignKit.i18nText("Plugin-RH_Iframe_Name");
    }
}